summaryrefslogtreecommitdiffabout
authorMichael Krelin <hacker@klever.net>2016-01-13 10:12:48 (UTC)
committer Michael Krelin <hacker@klever.net>2016-01-13 10:12:48 (UTC)
commit8d9ad499fcb960e825f92580bf96215c73ee91ea (patch) (side-by-side diff)
treeaf555e75ef30508deaa2707480a89e6b43542984
parent10e299ccac1b7e6ab393df441e7e6e24baefc3ca (diff)
downloadredelta-8d9ad499fcb960e825f92580bf96215c73ee91ea.zip
redelta-8d9ad499fcb960e825f92580bf96215c73ee91ea.tar.gz
redelta-8d9ad499fcb960e825f92580bf96215c73ee91ea.tar.bz2
colors
Diffstat (more/less context) (show whitespace changes)
-rw-r--r--delta.jscad4
1 files changed, 3 insertions, 1 deletions
diff --git a/delta.jscad b/delta.jscad
index 83122af..54f1f86 100644
--- a/delta.jscad
+++ b/delta.jscad
@@ -53,97 +53,99 @@ var CONFIG = {
effector: {
h: 6,
o: 20, // offset to the rod mounts line
rods_apart: 40,
cone: { shell: 1, angle: Math.PI/6 },
rodend: {
joint_w: 7, // thickness of the joint
screw_l: 20-1, // 20 with the head
screw_d: 3
},
hotend: { margin: 2 },
hinge: {
d: 3, w: 5, margin: 2.5,
h: 1+(6+3.7)/2, // elevation + grove + top
e: 1 // elevation
},
clamp: {
shell: 4.6,
d: 3,
margin: 2.5,
split: 0.6
},
mswitch: {
size: [ 19.8, 6, 10 ],
screw: {
d: 2, h: 10/2-2,
s: 1.3, // screw shell
o: [-9.5/2,9.5/2].map(function(x) {
return -19.8/2+x;
})
},
switch_x: 2.5
},
guide: {
width: 3, height: 5+1, length: 6
},
fanholder: {
r: 30,
screw: { d: 3, m: 2.5/*margin*/ },
w: 3
}
},
nut: { h: 2.3, w: 5.5 },
color: {
extrusion: [0.8, 0.8, 0.8, 0.8],
pcb: [ 0, 0.3, 0.2, 0.8 ],
bulk: [ .9, .9, .9, .2 ],
parts: [ 0, 0.8, 0, 0.9 ],
- softparts: [ 0, 0, 0.8, 0.9 ]
+ softparts: [ 0, 0, 0.8, 0.9 ],
+ heatbed: [0.8, 0.8, 0.8, 0.8 ],
+ glass: [0.9, 0.9, 0.9, 0.7 ]
}
};
var CD = {
base: (function(){
var rv = {};
rv.circumscription_r =
CONFIG.base.sl/2/Math.cos(Math.PI/6);
rv.outer_inscription_r =
Math.sqrt(Math.pow(rv.circumscription_r,2)-
Math.pow(CONFIG.base.sl/2,2));
rv.mid_inscription_r =
rv.outer_inscription_r-CONFIG.extrusion.w/2;
rv.inner_inscription_r =
rv.outer_inscription_r-CONFIG.extrusion.w;
// TODO: properly calculate
rv.column_r = rv.circumscription_r - 48.29;
return rv;
})(),
duetholder: (function() {
var rv = {};
var s = CONFIG.base.sl;
var l = CONFIG.duet.hole_spacing.x;
var w = CONFIG.duet.hole_spacing.y;
var h = s*Math.cos(Math.PI/6);
var h1 = h*(1-l/s);
rv.distance = (h1-w)/3; // hole to side
return rv;
})()
};
console.log(CONFIG); console.log(CD);
var U = {
hypotenuse: function(a,b) {
return Math.sqrt(Math.pow(a,2)+Math.pow(b,2));
},
peek: function(x,m) {
console.log(x,m);
return x;
}
};
/* {h:,w:} */
function nut(o) {
var rv = CSG.cylinder({
start:[0,0,0],end:[0,0,o.h],
radius: o.w/2/Math.cos(Math.PI/6),
resolution: 6